Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.logger
Interface ConfigFileAppender

All Superinterfaces:
  ConfigAppender, java.io.Serializable

All Known Subinterfaces:
  ConfigDailyRollingFileAppender, ConfigRollingFileAppender

    public interface ConfigFileAppender

extends ConfigAppender

The `ConfigFileAppender` takes charge of managing file appender specific properties.

Since:
  V8

Field Summary

Fields inherited from interface jet.server.api.admin.cfg.logger.ConfigAppender
`DST_CONSOLE, DST_DAILY_ROLLING_FILE, DST_FILE, DST_LF5, DST_NTLOG, DST_ROLLING_FILE, DST_SOCKET, DST_SYSLOG, DST_TELNET, LAYOUT_HTML, LAYOUT_PATTERN, LAYOUT_SIMPLE, LAYOUT_TTCC, LAYOUT_XML, LAYOUTS, THRESHOLD_ALL, THRESHOLD_DEBUG, THRESHOLD_ERROR, THRESHOLD_FATAL, THRESHOLD_INFO, THRESHOLD_OFF, THRESHOLD_WARN, THRESHOLDS`

Method Summary
`int` | `getBufferSize()` Gets the buffer size of the file appender.
`java.lang.String` | `getFileName()` Gets the file name of the file appender.
`java.lang.String` | `getLayout()` Gets the layout of the file appender.
`java.lang.String` | `getPatternConversion()` Gets the pattern conversion of the file appender.
`boolean` | `isAppendable()` Checks whether the file appender is appendable.
`boolean` | `isBufferedIO()` Checks whether the file appender is io buffered.
`void` | `setAppendable(boolean append)` Sets the file content's append property.
`void` | `setBufferedIO(boolean buffered)` Sets the buffered io property of the file appender.
`void` | `setBufferSize(int bufSize)` Sets the buffer size of the file appender.
`void` | `setFileName(java.lang.String filename)` Sets the file name of the appender.
`void` | `setLayout(java.lang.String layout)` Sets the layout of the file appender.
`void` | `setPatternConversion(java.lang.String pattern)` Sets the appender's pattern conversion.

Methods inherited from interface jet.server.api.admin.cfg.logger.ConfigAppender
`getName, getThreshold, isSelected, setSelected, setThreshold`

Method Detail

### getLayout

    java.lang.String getLayout()

  Gets the layout of the file appender. Note: the file appender can only support the following possible layouts:

              "Pattern"
              "HTML"
              "XML"
              "TTCC"
              "Simple"

  Returns:
    the layout value.

### setLayout

    void setLayout(java.lang.String layout)

  Sets the layout of the file appender.

  Parameters:
    `layout` - new layout value.

### getPatternConversion

    java.lang.String getPatternConversion()

  Gets the pattern conversion of the file appender.

  Returns:
    the pattern conversion, or null if the appender specified layout doesn't require the pattern conversion.

### setPatternConversion

    void setPatternConversion(java.lang.String pattern)

  Sets the appender's pattern conversion. `setLayout` should be firstly invoked before attempting to invoke this method.

  Parameters:
    `pattern,` - the pattern conversion value.

### getFileName

    java.lang.String getFileName()

  Gets the file name of the file appender.

  Returns:
    the file name.

### setFileName

    void setFileName(java.lang.String filename)

  Sets the file name of the appender.

  Parameters:
    `filename` - the file name.

### isAppendable

    boolean isAppendable()

  Checks whether the file appender is appendable.

  Returns:
    true if the file content can be appended, or else false.

### setAppendable

    void setAppendable(boolean append)

  Sets the file content's append property.

  Parameters:
    `append` - the append boolean value.

### isBufferedIO

    boolean isBufferedIO()

  Checks whether the file appender is io buffered.

  Returns:
    true if the file appender is io buffered, or else false.

### setBufferedIO

    void setBufferedIO(boolean buffered)

  Sets the buffered io property of the file appender.

  Parameters:
    `buffered` - the buffered IO boolean value.

### getBufferSize

    int getBufferSize()

  Gets the buffer size of the file appender.

  Returns:
    the buffer size value.

### setBufferSize

    void setBufferSize(int bufSize)

  Sets the buffer size of the file appender.

  Parameters:
    `bufSize` - the buffer size.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD